Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cache
Class AutoSavingCache.Writer

    java.lang.Object
      org.apache.cassandra.db.compaction.CompactionInfo.Holder
          org.apache.cassandra.cache.AutoSavingCache.Writer

Enclosing class:
  AutoSavingCache<K extends CacheKey,V>

    public class AutoSavingCache.Writer

extends CompactionInfo.Holder

Constructor Summary
`protected` | `AutoSavingCache.Writer(int keysToSave)`

Method Summary
`CacheService.CacheType` | `cacheType()`
`CompactionInfo` | `getCompactionInfo()`
`void` | `saveCache()`

Methods inherited from class org.apache.cassandra.db.compaction.CompactionInfo.Holder
`isStopRequested, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoSavingCache.Writer

    protected AutoSavingCache.Writer(int keysToSave)

Method Detail

### cacheType

    public CacheService.CacheType cacheType()

### getCompactionInfo

    public CompactionInfo getCompactionInfo()

  Specified by:
    `getCompactionInfo` in class `CompactionInfo.Holder`

### saveCache

    public void saveCache()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation